Bug 12467 - ntlm_auth can corrupt the output stream with spurious error messages.
ntlm_auth can corrupt the output stream with spurious error messages.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-10 21:58 UTC by Jeremy Allison
Modified: 2016-12-20 08:57 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for master (1.52 KB, patch)
2016-12-10 22:10 UTC, Jeremy Allison
no flags Details
git-am fix for 4.5.x, 4.4.x (1.69 KB, patch)
2016-12-12 22:52 UTC, Jeremy Allison
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2016-12-10 21:58:52 UTC
Code inside source3/utils/ntlm_auth.c writes debug error messages into the STDOUT stream - which can break utilities that depend on a conversation with it to drive authentication.

Patch to follow.
Comment 1 Jeremy Allison 2016-12-10 22:10:33 UTC
Created attachment 12759 [details]
git-am fix for master

Patch I proposed for master.
Comment 2 Jeremy Allison 2016-12-12 22:52:03 UTC
Created attachment 12765 [details]
git-am fix for 4.5.x, 4.4.x

Cherry-picked from master. Applies cleanly to 4.5.next, 4.4.next.
Comment 3 Uri Simchoni 2016-12-13 04:32:00 UTC
Assignining to Karolin for inclusion in 4.4.next and 4.5.next
Comment 4 Karolin Seeger 2016-12-14 11:36:29 UTC
(In reply to Uri Simchoni from comment #3)
Pushed to autobuild-v4-{5,4}-test.
Comment 5 Karolin Seeger 2016-12-20 08:57:06 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!